import { RobotArmAPI } from '../../../controllers/robot-arm-api'

export const robotArmJointMoveTo = {
  async robotArmJointMoveTo(_: any, { name, joints }, context: any) {
    const { domain } = context.state

    return RobotArmAPI.moveToJoints(domain, name, { joints })
  }
}
